﻿body {
    height: 100%;
    background-color: #f4f4f4;
    min-width: 320px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    display: contents;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

.page-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;    
    justify-content: space-between;
    align-items: center
}

/* Set width on the form input elements since they're 100% wide by default */

@media (max-width: 500px) {
    .wrapper {
        margin-top: 0px !important;
        margin-bottom: 0px !important;
    }

    .body-content,.container {
       padding: 0px !important;
       margin: 0px !important;
    }

    .form-signin .form-inner {
        padding-left: 10px !important;
        padding-right: 10px !important;
    }
}

.wrapper {
    margin-top: 80px;
    margin-bottom: 20px;
    width: 100%;
}

.form-signin {
    max-width: 420px;
    margin: 0 auto;
    background-color: white;
    border: 1px solid #d4d4d4;
    color: #787878;
    border-radius: 4px;
}

.form-signin.default {
    max-width: inherit;
    background-color: inherit;
    border: none;
    padding: initial;
}

.form-signin.default .form-inner {
    padding: initial;
}

.form-signin .btn-primary {
    background-color: rgb(52, 155, 239);
    border: none;
}

.form-signin .btn-primary:hover {
    background-color: rgb(47, 143, 222);
    border: none;
}

.form-signin .form-inner {
    padding: 50px;
    color: rgb(51, 51, 51);
}

.form-inner h2 {
    margin-top: 0px;
    margin-bottom: 30px;
}

.form-signin label {
    color: #787878;
}

.form-signin hr {
    border-top: 1px solid #d4d4d4;
}

.btn-logout {
    max-width: 20%;
    margin-left: auto;
    margin-right: auto;
}

.version-block {
    margin: 0 auto;
    max-width: 420px;
    text-align: right;
    position: relative;
    color: #787878;
}

label {
    font-weight: normal;
}

h3 .help-block {
    color: rgb(220, 220, 220);
    font-size: 18px !important;
}

.form-signin-heading {
  text-align:center;
  margin-bottom: 30px;
}

.form-control {
  position: relative;
  font-size: 16px;
  height: auto;
  padding: 10px;
}

input.flat-bottom {
  margin-bottom: 0px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

input.flat-top {
  margin-bottom: 20px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

input.flat-all {
  margin-bottom: 0px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.client-logo, .provider-logo{
    text-align: center;
    padding: 20px;
    border-radius: 5px 5px 0 0;
}

.colorgraph {
  height: 7px;
  border-top: 0;
  background: #c4e17f;
  border-radius: 5px;
  background-image: -webkit-linear-gradient(left, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
  background-image: -moz-linear-gradient(left, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
  background-image: -o-linear-gradient(left, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
  background-image: linear-gradient(to right, #c4e17f, #c4e17f 12.5%, #f7fdca 12.5%, #f7fdca 25%, #fecf71 25%, #fecf71 37.5%, #f0776c 37.5%, #f0776c 50%, #db9dbe 50%, #db9dbe 62.5%, #c49cde 62.5%, #c49cde 75%, #669ae1 75%, #669ae1 87.5%, #62c2e4 87.5%, #62c2e4);
}

h3 .help-block {
    font-size: 20px;
}

.sso-select-container {
    width: 420px;
    min-height: 150px;   
    align-self: center;
}

.sso-select-view {
    border-radius: 4px;
    border: 1px solid #d4d4d4;
    background-color: white;
    padding: 40px 0 50px;
    display: flex;
    flex-direction: column;
}

.sso-select-view .row {
    margin-left: 0;
    margin-right: 0;
}

.sso-select-view img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.provider-info:first-child {
    padding-top: 0;
}

.provider-info {
    display: flex;
    align-items: center;
    padding: 10px 30px;
    color: black;
}

.provider-info p {
    margin: 0 0 0 10px;
}

.provider-info .provider-description {
    font-size: 11px;
}

.provider-info:hover {
    text-decoration: none;
    background-color: #e5e5e5;
    color: black;
}

.provider-info:last-child {
    border-bottom: 0;
}

.povider-logo {
    width: 50px;
    height: 50px;
}

.sso-select-header {
    text-align: center;
    margin: 0 0 20px;
}

.sso-select-view.scrollable-menu {
    height: auto;
    max-height: 500px;
    overflow-y: auto;
}

.wrapper.setting {
    background-color: white;
    padding: 20px;
}

.form-signin.two-factor-form {
    max-width: 525px;
}

.form-signin.two-factor-form ol.list {
    padding-left: 15px;
}

.form-signin.two-factor-form #qrCode img {
    margin: 0 auto;
}

.navbar-light .navbar-nav > li {
    list-style: none;
}

.navbar-light .navbar-nav .nav-link {
    display: block;
    padding: .5rem 1rem;
    color: rgba(0,0,0,.5);
}

.navbar-light .navbar-nav .active > .nav-link {
    color: rgba(0,0,0,.9);
}

kbd {
    padding: .2rem .4rem;
    font-size: 87.5%;
    color: #fff;
    background-color: #212529;
    border-radius: .2rem;
}

.center {
    text-align: center;
}

.page-footer {
    background: #eaeaea;
    color: #666;
    -webkit-box-shadow: 0 4px 9px -4px rgba(0, 0, 0, 0.3) inset;
    -moz-box-shadow: 0 4px 9px -4px rgba(0, 0, 0, 0.3) inset;
    box-shadow: 0 4px 9px -4px rgba(0, 0, 0, 0.3) inset;
    min-width: 100%;
}

    .page-footer .inner {
        text-align: center;
        padding: 20px 0;
    }

.alert-container {
    display:grid;
    justify-content: space-evenly
}